# $Revision: 1.282.2.8.2.14 $, $Date: 2008/11/12 14:07:23 $
# TODO
# - update combined_log patch
# Conditional build:
%bcond_with	combined_log	# enables apache-like combined log format
%if "%{pld_release}" == "ac"
%bcond_with		epoll		# enable epoll support
%else
%bcond_without	epoll		# disable epoll support
%endif
#
Summary:	SQUID Internet Object Cache
Summary(es.UTF-8):	proxy/cache para WWW/FTP/gopher
Summary(pl.UTF-8):	Uniwersalny serwer proxy-cache
Summary(pt_BR.UTF-8):	Cache Squid de objetos Internet
Summary(ru.UTF-8):	Squid - кэш объектов Internet
Summary(uk.UTF-8):	Squid - кеш об'єктів Internet
Summary(zh_CN.UTF-8):	SQUID 高速缓冲代理服务器
Name:		squid
Version:	2.7.STABLE5
Release:	2
Epoch:		7
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://www.squid-cache.org/Versions/v2/2.7/%{name}-%{version}.tar.bz2
# Source0-md5:	5d495d285b3b951a5859c660463e9832
# http://www.squid-cache.org/Doc/FAQ/FAQ.tar.gz
Source1:	%{name}-FAQ.tar.gz
# Source1-md5:	cb9a955f8cda9cc166e086fccd412a43
Source2:	%{name}.init
Source3:	%{name}.sysconfig
# http://squid-docs.sourceforge.net/latest/zip-files/book-full-html.zip
Source4:	%{name}-book-full-html.zip
# Source4-md5:	4f3b6dab1de9cbb847df89d8b417378a
Source5:	%{name}.conf.patch
Source6:	%{name}.logrotate
Source7:	%{name}.pamd
# Bug fixes from Squid home page, please include URL
# lets have fun - there is no patches... yet:)
# Other patches:
Source8:	%{name}-cachemgr-apache.conf
Patch0:		%{name}-fhs.patch
Patch1:		%{name}-location.patch
Patch2:		%{name}-domainmatch.patch
Patch3:		%{name}-libnsl_fixes.patch
Patch4:		%{name}-newssl.patch
Patch5:		%{name}-empty-referer.patch
Patch6:		%{name}-2.5.STABLE4-apache-like-combined-log.patch
Patch7:		%{name}-auth_on_acceleration.patch
Patch8:		%{name}-ppc-m32.patch
Patch9:		%{name}-cachemgr-webapp.patch
URL:		http://www.squid-cache.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel >= 2.1.0
BuildRequires:	db-devel
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	perl-base
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
Requires(post):	/bin/hostname
Requires(post):	fileutils
Requires(post):	findutils
Requires(post):	grep
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/lib/rpm/user_group.sh
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts >= 0.2.0
Requires:	setup >= 2.4.6
%{?with_epoll:Requires:	uname(release) >= 2.6}
Provides:	group(squid)
Provides:	user(squid)
Conflicts:	logrotate < 3.7-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		cachemgr
%define		_libexecdir	%{_libdir}/%{name}
%define		_sysconfdir	/etc/%{name}
%define		_cgidir		%{_prefix}/lib/cgi-bin/%{_webapp}

%description
Squid is a high-performance proxy caching server for web clients,
supporting FTP, gopher, and HTTP data objects. Unlike traditional
caching software, Squid handles all requests in a single,
non-blocking, I/O-driven process. Squid keeps meta data and especially
hot objects cached in RAM, caches DNS lookups, supports non-blocking
DNS lookups, and implements negative caching of failed requests. If
you are tight on memory, check out the NOVM version of this package.
Squid supports SSL, extensive access controls, and full request
logging. By using the lightweight Internet Cache Protocol, Squid
caches can be arranged in a hierarchy or mesh for additional bandwidth
savings. Squid consists of a main server program squid, a Domain Name
System lookup program dnsserver, a program for retrieving FTP data
ftpget, and some management and client tools. When squid starts up, it
spawns a configurable number of dnsserver processes, each of which can
perform a single, blocking Domain Name System (DNS) lookup. This
reduces the amount of time the cache waits for DNS lookups. Squid is
derived from the ARPA-funded Harvest project.

%description -l es.UTF-8
Squid es un servidor proxy con caché de alto desempeño para clientes
web, soportando FTP, gopher y HTTP. Diferentemente de softwares
tradicionales de caché squid manipula todas las requisiciones en un
único proceso sin bloqueos, direccionado a E/S. Mantienen metadatos y
objetos frecuentemente pedidos en uno caché en memoria RAM. Hace caché
de resoluciones DNS, soporta resoluciones DNS sin bloqueo y implementa
un caché negativo de requisiciones que fallen. Si tiene poca memoria
da un vistazo en la versión NOVM de este paquete. También soporta SSL,
controles extensivos de acceso y registro (log) completo de las
requisiciones. Usando el ligero Protocolo de Caches Internet (ICP)
puede ser usado en una jerarquía de servidores para mayor ahorro de la
banda de comunicación. Está compuesto del programa squid (servidor
principal), del programa dnsserver (para resolución DNS), del programa
ftpget (para transmisiones ftp) y otras herramientas clientes y para
administración. Cuando squid se inicia, dispara un número configurable
de procesos dnsserver, cada uno pudiendo ejecutar solamente una
resolución DNS con poder de bloquear. Esto reduce el tiempo que el
caché espera por resoluciones DNS. Fue derivado del proyecto Harvest,
financiado por la ARPA.

%description -l pl.UTF-8
Squid jest wysoce wydajnym serwerem proxy-cache dla przeglądarek WWW,
klientów FTP i gopher. Squid przechowuje najczęściej pobierane dane w
pamięci RAM i zapamiętuje odwołania do DNS. Squid oferuje wsparcie dla
SSL, rozbudowaną kontrolę dostępu oraz pełne rejestrowanie pobieranych
danych. Dzięki użyciu protokołu ICP (Internet Cache Protocol), serwer
squid można łączyć w hierarchię, zwiększając ich efektywność. Pakiet
squid obejmuje: główny program serwera squid, program dostarczający
informacji z DNS dnsserver, program odbierający dane FTP ftpget, oraz
pomocnicze programy do zarządzania. Squid wywodzi się ze
sponsorowanego przez ARPA projektu Harvest.

%description -l pt_BR.UTF-8
O Squid é um servidor proxy com cache de alta performance para
clientes web, suportando FTP, gopher e HTTP. Diferentemente de
softwares tradicionais de cache o squid manipula todas as requisições
em um único processo sem bloqueios, direcionado a E/S.

Mantém meta dados e objetos freqüentemente pedidos num cache em
memória RAM. Faz cache de resoluções DNS, suporta resoluções DNS sem
bloqueio e implementa um cache negativo de requisições que falharem.
Se você tem pouca memória dê uma olhada na versão NOVM deste pacote.

Também suporta SSL, controles extensivos de acesso e registro (log)
completo das requisições. Usando o leve Protocolo de Caches Internet
(ICP) ele pode ser usado em uma hierarquia de servidores para maior
economia de banda de comunicação.

Ele consiste do programa squid (servidor principal), do programa
dnsserver (para resolução DNS), do programa ftpget (para transmissões
ftp) e outras ferramentas clientes e para gerenciamento. Quando o
squid é inicializado ele dispara um número configurável de processos
dnsserver, cada um podendo executar somente uma resolução DNS
bloqueante. Isto reduz o tempo que o cache espera por resoluções DNS.

Foi derivado do projeto Harvest, financiado pela ARPA.

%description -l ru.UTF-8
Squid - это высокопроизводительный кэширующий прокси-сервер для
клиентов web, поддерживающий объекты данных типа FTP, gopher и HTTP. В
отличие от традиционных кэширующих программ, Squid обрабатывает все
запросы при помощи одного неблокирующегося, управляемого
вводом-выводом процесса.

Этот пакет имеет встроенную поддержку базы данных сетевых ICMP-проб
(Netdb).

%description -l uk.UTF-8
Squid - це кешуючий проксі-сервер для web-клієнтів, що підтримує
об'єкти даних типу FTP, gopher та HTTP. На відміну від традиційних
кешуючих програм, Squid обробляє всі запити за допомогою одного
неблокуючого, керованого вводом-виводом процесу.

Цей пакет має вбудовану підтримку бази даних мережевих ICMP-проб
(Netdb).

%package cachemgr
Summary:	CGI script for Squid management
Summary(pl.UTF-8):	Skrypt CGI do zarządzania Squidem przez WWW
Group:		Applications/WWW
# does not require squid locally
Requires:	group(http)
Requires:	webapps
Requires:	webserver
Requires:	webserver(access)
Requires:	webserver(alias)
Requires:	webserver(cgi)

%description cachemgr
Cachemgr.cgi is a CGI script that allows administrator to chceck
various informations about Squid via WWW.

%description cachemgr -l pl.UTF-8
Cachemgr.cgi jest skryptem CGI, który pozwala administratorowi
zapoznać się z informacjami o pracy Squida poprzez WWW.

%package ldap_auth
Summary:	LDAP authentication helper for Squid
Summary(pl.UTF-8):	Obsługa uwierzytelniania LDAP dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ldap_auth
This Squid helper allows authentication against LDAP directories using
the "simple authentication" (plain-text).

%description ldap_auth -l pl.UTF-8
Pakiet ten pozwala na uwierzytelnianie przez LDAP za pomocą prostego
uwierzytelniania (otwartym tekstem).

%package pam_auth
Summary:	PAM authentication helper for Squid
Summary(pl.UTF-8):	Obsługa uwierzytelniania PAM dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	pam >= 0.77.3

%description pam_auth
This program authenticates users against a PAM configured
authentication service "squid". This allows you to authenticate Squid
users to any authentication source for which you have a PAM module.

%description pam_auth -l pl.UTF-8
Program ten pozwala na uwierzytelnianie użytkowników squida w dowolnym
źródle posiadającym moduł PAM.

%package smb_auth
Summary:	SMB authentication helper for Squid
Summary(pl.UTF-8):	Obsługa uwierzytelniania SMB dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description smb_auth
This is a proxy authentication module. With smb_auth you can
authenticate proxy users against an SMB server like Windows NT or
Samba.

%description smb_auth -l pl.UTF-8
To jest moduł uwierzytelniania proxy. Przy pomocy smb_auth można
uwierzytelniać użytkowników proxy na serwerach SMB, jak Windows NT czy
Samba.

%package msnt_auth
Summary:	MSNT domain authentication helper for Squid
Summary(pl.UTF-8):	Obsługa uwierzytelniania w domenie MSNT dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description msnt_auth
This is an authentication module for the Squid proxy server to
authenticate users on an NT domain.

%description msnt_auth -l pl.UTF-8
Jest to moduł uwierzytelniania proxy, który pozwala na
uwierzytelnianie użytkowników proxy w domenie NT.

%package yp_auth
Summary:	YP authentication helper for Squid
Summary(pl.UTF-8):	Obsługa uwierzytelniania YP dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description yp_auth
This is an authentication module for the Squid proxy server to
authenticate users on YP.

%description yp_auth -l pl.UTF-8
Jest to moduł uwierzytelniania proxy, który pozwala na
uwierzytelnianie użytkowników proxy poprzez YP.

%package ncsa_auth
Summary:	NCSA httpd style authentication helper for Squid
Summary(pl.UTF-8):	Obsługa uwierzytelniania NCSA httpd dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ncsa_auth
This module uses a NCSA httpd style password file for authentication.

%description ncsa_auth -l pl.UTF-8
Moduł uwierzytelniania proxy używający pliku haseł jak w NCSA httpd.

%package sasl_auth
Summary:	SASL authentication helper for Squid
Summary(pl.UTF-8):	Obsługa uwierzytelniania SASL dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description sasl_auth
This is an authentication module for the Squid proxy server to
authenticate users via SASL.

%description sasl_auth -l pl.UTF-8
Jest to moduł uwierzytelniania proxy, który pozwala na
uwierzytelnianie użytkowników proxy poprzez SASL.

%package getpwname_auth
Summary:	getpwname authentication helper for Squid
Summary(pl.UTF-8):	Obsługa uwierzytelniania getpwname dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description getpwname_auth
This is an authentication module for the Squid proxy server to
authenticate users using getpwname.

%description getpwname_auth -l pl.UTF-8
Jest to moduł uwierzytelniania proxy, który pozwala na
uwierzytelnianie użytkowników proxy poprzez getpwname.

%package passwd_auth
Summary:	passwd authentication helper for Squid
Summary(pl.UTF-8):	Obsługa uwierzytelniania passwd dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description passwd_auth
This is an authentication module for the Squid proxy server to
authenticate users with separate passwd file.

%description passwd_auth -l pl.UTF-8
Jest to moduł uwierzytelniania proxy, który pozwala na
uwierzytelnianie użytkowników proxy poprzez oddzielny plik passwd.

%package ntlm_auth
Summary:	NTLM authentication helper for Squid
Summary(pl.UTF-8):	Obsługa uwierzytelniania NTLM dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ntlm_auth
This is an authentication module for the Squid proxy server to
authenticate users on NTLM.

%description ntlm_auth -l pl.UTF-8
Jest to moduł uwierzytelniania proxy, który pozwala na
uwierzytelnianie użytkowników proxy poprzez NTLM.

%package digest_ldap_auth
Summary:	LDAP authentication helper for Squid
Summary(pl.UTF-8):	Obsługa uwierzytelniania LDAP dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description digest_ldap_auth
This is an authentication module for the Squid proxy server to
authenticate users on LDAP.

%description digest_ldap_auth -l pl.UTF-8
Jest to moduł uwierzytelniania proxy, który pozwala na
uwierzytelnianie użytkowników proxy poprzez LDAP.

%package ip_acl
Summary:	IP external ACL helper for Squid
Summary(pl.UTF-8):	Wsparcie kontroli dostępu przez IP dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ip_acl
This is an external ACL module for the Squid proxy server to limit
access for users based on IP address.

%description ip_acl -l pl.UTF-8
Jest to moduł kontroli dostępu (ACL) do proxy, który pozwala na
ograniczenie dostępu użytkowników proxy na podstawie ich adresu IP.

%package ldap_acl
Summary:	LDAP group external ACL helper for Squid
Summary(pl.UTF-8):	Wsparcie kontroli dostępu przez grupy LDAP dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ldap_acl
This is an external ACL module for the Squid proxy server to limit
access for users based on LDAP group membership.

%description ldap_acl -l pl.UTF-8
Jest to moduł kontroli dostępu (ACL) do proxy, który pozwala na
ograniczenie dostępu użytkowników proxy na podstawie ich
przynależności do grup LDAP.

%package unix_acl
Summary:	UNIX group external ACL helper for Squid
Summary(pl.UTF-8):	Wsparcie kontroli dostępu przez grupy UNIX dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description unix_acl
This is an external ACL module for the Squid proxy server to limit
access for users based on UNIX group membership.

%description unix_acl -l pl.UTF-8
Jest to moduł kontroli dostępu (ACL) do proxy, który pozwala na
ograniczenie dostępu użytkowników proxy na podstawie ich
przynależności do grup UNIX.

%package wbinfo_acl
Summary:	NT domain group external ACL helper for Squid
Summary(pl.UTF-8):	Wsparcie kontroli dostępu przez grupy w domenie NT dla squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description wbinfo_acl
This is an external ACL module for the Squid proxy server to limit
access for users based on NT domain group membership using wbinfo.

%description wbinfo_acl -l pl.UTF-8
Jest to moduł kontroli dostępu (ACL) do proxy, który pozwala na
ograniczenie dostępu użytkowników proxy na podstawie ich
przynależności do grup w domenie NT przy użyciu wbinfo.

%package session_acl
Summary:	Squid session tracking external acl group helper
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description session_acl
This helper maintains a concept of sessions by monitoring requests and
timing out sessions if no requests have been seen for the idle timeout
timer.

%package scripts
Summary:	Perl scripts for Squid
Summary(pl.UTF-8):	Skrypty perlowe dla Squida
Group:		Networking/Admin
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description scripts
This package contains Perl scripts and contributed programs for Squid.

%description scripts -l pl.UTF-8
Ten pakiet zawiera skrypty perlowe i dodatkowe programy dla Squida.

%prep
%setup -q -a1 -a4
# Bug fixes from Squid home page:

# Other patches:
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%{?with_combined_log:%patch6 -p1}
%patch7 -p1
%ifarch ppc
%patch8 -p1
%endif
%patch9 -p1

%{__sed} -i -e '1s#!.*bin/perl#!%{__perl}#' {contrib,scripts,helpers/*/*}/*.pl

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--datadir=%{_datadir}/squid \
	--enable-storeio="aufs,coss,diskd,null,ufs" \
	--enable-removal-policies="heap,lru" \
	--enable-icmp \
	--enable-delay-pools \
	--enable-useragent-log \
	--enable-referer-log \
	--enable-kill-parent-hack \
	--enable-forward-log \
	--enable-multicast-miss \
	--enable-snmp \
	--enable-arp-acl \
	--enable-htcp \
	--enable-ssl \
	--with-system-md5 \
	--enable-forw-via-db \
	--enable-cache-digests \
	--enable-err-language=English \
	--enable-coss-aio-ops \
	--enable-linux-netfilter \
	--enable-large-cache-files \
	--enable-auth="basic,digest,negotiate,ntlm" \
	--enable-basic-auth-helpers="LDAP,MSNT,NCSA,PAM,SASL,SMB,YP,getpwnam,multi-domain-NTLM" \
	--enable-digest-auth-helpers="ldap,password" \
	--enable-external-acl-helpers="ip_user,ldap_group,session,unix_group,wbinfo_group" \
	--enable-ntlm-auth-helpers="SMB,fakeauth,no_check" \
	--enable-ntlm-fail-open \
	--enable-x-accelerator-vary \
	--enable-follow-x-forwarded-for	\
	--localstatedir=/var \
	--sysconfdir=%{_sysconfdir} \
	--with-auth-on-acceleration \
	--with-pthreads \
	%{!?with_epoll:--disable-epoll} \
	--with-large-files \
	--with-maxfd=32768

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_cgidir},%{_webapps}/%{_webapp}} \
	$RPM_BUILD_ROOT/etc/{pam.d,rc.d/init.d,security,sysconfig,logrotate.d} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_libexecdir}/contrib} \
	$RPM_BUILD_ROOT%{_mandir}/man8 \
	$RPM_BUILD_ROOT%{_datadir}/squid \
	$RPM_BUILD_ROOT/var/{cache,log{,/archive}}/squid

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a contrib/*.pl $RPM_BUILD_ROOT%{_libexecdir}/contrib
install scripts/*.pl $RPM_BUILD_ROOT%{_libexecdir}

install %{SOURCE7} $RPM_BUILD_ROOT/etc/pam.d/squid
touch $RPM_BUILD_ROOT/etc/security/blacklist.squid

cat > apache.conf <<'EOF'
Alias /%{_webapp} %{_cgidir}/cachemgr.cgi
<Directory %{_appdir}>
	Allow from all
</Directory>
EOF

mv -f $RPM_BUILD_ROOT%{_libdir}/squid/cachemgr.cgi $RPM_BUILD_ROOT%{_cgidir}
cp -a %{SOURCE8} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/apache.conf
cp -a %{SOURCE8} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/httpd.conf

cd $RPM_BUILD_ROOT/etc/squid
cp -f squid.conf{,.default}
%{__patch} -p0 < %{SOURCE5}
rm -f *~ *.orig
cd -

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/squid
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/squid
install %{SOURCE6} $RPM_BUILD_ROOT/etc/logrotate.d/squid

touch $RPM_BUILD_ROOT/var/log/squid/{access,cache,store}.log

# These two files start squid. They are replaced by /etc/rc.d/init.d script.
rm -f $RPM_BUILD_ROOT%{_bindir}/R*

# cp, to have re-entrant install
rm -rf docs
cp -a doc docs
# dunno why, but manual is not installed
mv docs/squid.8 $RPM_BUILD_ROOT%{_mandir}/man8
# We don't want Makefiles as docs...
rm -f docs/Makefile*

# We don't like message: rpm found unpackaged files ...
rm -f $RPM_BUILD_ROOT/etc/squid/msntauth.conf.default \
	$RPM_BUILD_ROOT/etc/squid/squid.conf.orig

> $RPM_BUILD_ROOT/var/cache/squid/netdb_state
> $RPM_BUILD_ROOT/var/cache/squid/swap.state
> $RPM_BUILD_ROOT/var/cache/squid/swap.state.clean
> $RPM_BUILD_ROOT/var/cache/squid/swap.state.last-clean

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 91 squid
%useradd -o -u 91 -s /bin/false -g squid -c "SQUID http caching daemon" -d /var/cache/squid squid
%addusertogroup stats squid

[ -L %{_datadir}/squid/errors ] && rm -f %{_datadir}/squid/errors || :

%post
if ! grep -q "^visible_hostname" /etc/squid/squid.conf; then
	hostname=`/bin/hostname -f 2>/dev/null` || hostname='localhost'
	echo visible_hostname $hostname >> /etc/squid/squid.conf
fi

/sbin/chkconfig --add squid
if [ "$1" = "1" ]; then
	/sbin/service squid init >&2
fi
%service squid restart

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del squid
	%service squid stop

	# nuke squid cache if uninstalling
	rm -rf /var/cache/squid/??
fi

%postun
if [ "$1" = "0" ]; then
	%userremove squid
	%groupremove squid
fi

%triggerpostun -- squid < 7:2.5.STABLE7-5
%addusertogroup stats squid

%triggerin cachemgr -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun cachemgr -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin cachemgr -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun cachemgr -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- cachemgr < 7:2.7.STABLE5-1.1
if [ -f %{_sysconfdir}/cachemgr.conf.rpmsave ]; then
	cp -f %{_webapps}/%{_webapp}/cachemgr.conf{,.rpmsave}
	mv -f %{_sysconfdir}/cachemgr.conf.rpmsave %{_webapps}/%{_webapp}/cachemgr.conf
fi

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS COPYRIGHT CREDITS README ChangeLog QUICKSTART RELEASENOTES.html SPONSORS
%doc docs/* src/mib.txt FAQ*.html book-full.html
%attr(755,root,root) %{_bindir}/squidclient
%attr(755,root,root) %{_bindir}/cossdump
%attr(755,root,root) %{_libexecdir}/diskd-daemon
%attr(755,root,root) %{_libexecdir}/fakeauth_auth
%attr(755,root,root) %{_libexecdir}/logfile-daemon
# YES, it has to be suid root, it sends ICMP packets.
%attr(4754,root,squid) %{_libexecdir}/pinger
%attr(755,root,root) %{_libexecdir}/unlinkd
%attr(755,root,root) %{_sbindir}/*

%dir %{_sysconfdir}

%attr(754,root,root) /etc/rc.d/init.d/squid
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/squid
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/squid
%attr(640,root,squid) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/squid.conf
%attr(640,root,squid) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mime.conf
%attr(640,root,root) %{_sysconfdir}/mime.conf.default
%attr(640,root,root) %{_sysconfdir}/squid.conf.default

%dir %{_datadir}/squid
%dir %{_datadir}/squid/errors
%{_datadir}/squid/icons
%{_datadir}/squid/mib.txt
%lang(am) %{_datadir}/squid/errors/Armenian
%lang(az) %{_datadir}/squid/errors/Azerbaijani
%lang(bg) %{_datadir}/squid/errors/Bulgarian
%lang(ca) %{_datadir}/squid/errors/Catalan
%lang(cs) %{_datadir}/squid/errors/Czech
%lang(da) %{_datadir}/squid/errors/Danish
%lang(nl) %{_datadir}/squid/errors/Dutch
%{_datadir}/squid/errors/English
%lang(et) %{_datadir}/squid/errors/Estonian
%lang(fi) %{_datadir}/squid/errors/Finnish
%lang(fr) %{_datadir}/squid/errors/French
%lang(de) %{_datadir}/squid/errors/German
%lang(el) %{_datadir}/squid/errors/Greek
%lang(he) %{_datadir}/squid/errors/Hebrew
%lang(hu) %{_datadir}/squid/errors/Hungarian
%lang(it) %{_datadir}/squid/errors/Italian
%lang(ja) %{_datadir}/squid/errors/Japanese
%lang(ko) %{_datadir}/squid/errors/Korean
%lang(lt) %{_datadir}/squid/errors/Lithuanian
%lang(pl) %{_datadir}/squid/errors/Polish
%lang(pt) %{_datadir}/squid/errors/Portuguese
%lang(ro) %{_datadir}/squid/errors/Romanian
%lang(ru) %{_datadir}/squid/errors/Russian-1251
%lang(ru) %{_datadir}/squid/errors/Russian-koi8-r
%lang(zh_CN) %{_datadir}/squid/errors/Simplify_Chinese
%lang(sk) %{_datadir}/squid/errors/Slovak
%lang(es) %{_datadir}/squid/errors/Spanish
%lang(sr) %{_datadir}/squid/errors/Serbian
%lang(sv) %{_datadir}/squid/errors/Swedish
%lang(zh_TW) %{_datadir}/squid/errors/Traditional_Chinese
%lang(tr) %{_datadir}/squid/errors/Turkish
%lang(uk) %{_datadir}/squid/errors/Ukrainian-1251
%lang(uk) %{_datadir}/squid/errors/Ukrainian-koi8-u
%lang(uk) %{_datadir}/squid/errors/Ukrainian-utf8

%dir %{_libexecdir}

%attr(770,root,squid) %dir /var/log/archive/squid
%attr(770,root,squid) %dir /var/log/squid
%attr(660,root,squid) %ghost /var/log/squid/*

%attr(770,root,squid) %dir /var/cache/squid
%ghost /var/cache/squid/netdb_state
%ghost /var/cache/squid/swap.state
%ghost /var/cache/squid/swap.state.clean
%ghost /var/cache/squid/swap.state.last-clean
%{_mandir}/man8/squid.8*

%files cachemgr
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_webapps}/%{_webapp}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/cachemgr.conf
%attr(755,root,root) %{_cgidir}/cachemgr.cgi
%{_mandir}/man8/cachemgr.cgi.8*

%files ldap_auth
%defattr(644,root,root,755)
%doc helpers/basic_auth/LDAP/README
%attr(755,root,root) %{_libexecdir}/%{name}_ldap_auth
%{_mandir}/man8/%{name}_ldap_auth.*

%files pam_auth
%defattr(644,root,root,755)
%doc helpers/basic_auth/PAM/pam_auth.c
%config(noreplace) /etc/pam.d/squid
%config(noreplace) /etc/security/blacklist.squid
%attr(755,root,root) %{_libexecdir}/pam_auth
%{_mandir}/man8/pam_auth.8*

%files smb_auth
%defattr(644,root,root,755)
%doc helpers/basic_auth/SMB/{README,ChangeLog,smb_auth.sh}
%doc helpers/basic_auth/multi-domain-NTLM/*
%attr(755,root,root) %{_libexecdir}/smb_auth*

%files msnt_auth
%defattr(644,root,root,755)
%doc helpers/basic_auth/MSNT/README*
%attr(755,root,root) %{_libexecdir}/msnt_auth
%attr(640,root,squid) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/msntauth.conf

%files yp_auth
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/yp_auth

%files ncsa_auth
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/ncsa_auth
%{_mandir}/man8/ncsa_auth.8*

%files sasl_auth
%defattr(644,root,root,755)
%doc helpers/basic_auth/SASL/{README,squid_sasl*}
%attr(755,root,root) %{_libexecdir}/sasl_auth

%files getpwname_auth
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/getpwname_auth

%files passwd_auth
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/digest_pw_auth

%files ntlm_auth
%defattr(644,root,root,755)
%doc helpers/ntlm_auth/no_check/{README*,no_check.pl}
%attr(755,root,root) %{_libexecdir}/ntlm_auth

%files digest_ldap_auth
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/digest_ldap_auth

%files ip_acl
%defattr(644,root,root,755)
%doc helpers/external_acl/ip_user/{README,example*}
%attr(755,root,root) %{_libexecdir}/ip_user_check

%files ldap_acl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/squid_ldap_group
%{_mandir}/man8/%{name}_ldap_group.*

%files unix_acl
%defattr(644,root,root,755)
%doc helpers/external_acl/unix_group/README
%attr(755,root,root) %{_libexecdir}/squid_unix_group
%{_mandir}/man8/%{name}_unix_group.*

%files wbinfo_acl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/wbinfo_group.pl

%files session_acl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/squid_session
%{_mandir}/man8/%{name}_session.8*

%files scripts
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/*.pl
%attr(755,root,root) %{_libexecdir}/contrib

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squid.spec,v $
Revision 1.282.2.8.2.14  2008/11/12 14:07:23  glen
- disable epoll for ac
- cachemgr uses webapps and is standalone from squid
- rel 2

Revision 1.282.2.8.2.13  2008/10/28 21:01:52  dzeus
- up to 2.7.STABLE5

Revision 1.282.2.8.2.12  2008/10/07 07:57:37  glen
- CVE entry for 2.6.STABLE18

Revision 1.282.2.8.2.11  2008/09/22 07:34:36  dzeus
- rel. 1

Revision 1.282.2.8.2.10  2008/09/20 10:08:43  pluto
- disable builtin yet-antoher-md5-implementation and use openssl/md5.D
- kill BR: libmd5-devel.

Revision 1.282.2.8.2.9  2008/09/18 13:14:25  dzeus
- BR: libmd5-devel

Revision 1.282.2.8.2.8  2008/09/18 12:55:21  dzeus
- up to 2.7.STABLE4
- ZPH TOS & max_filedesc included in source

Revision 1.282.2.8.2.7  2008/07/23 07:48:43  arekm
- up to stable21

Revision 1.282.2.8.2.6  2008/07/11 05:42:48  dzeus
- rel. 3, rebuild

Revision 1.282.2.8.2.5  2008/06/14 20:30:49  arekm
- rel 2

Revision 1.282.2.8.2.4  2008-05-01 17:58:23  dzeus
- md5

Revision 1.282.2.8.2.3  2008-05-01 17:55:11  dzeus
- up to 2.6.STABLE20

Revision 1.282.2.8.2.2  2008-03-24 08:30:24  dzeus
- epoll is back, rel. 2

Revision 1.282.2.8.2.1  2008-03-22 20:40:54  dzeus
- proper lang() tag for Ukrainian

Revision 1.282.2.8  2008-03-22 08:14:42  paszczus
- updated to 2.6.STABLE19
- updated squid-location.patch
- added Ukrainan error pages

Revision 1.282.2.7  2008-02-06 15:38:54  glen
- restore fd-config.patch; rel 2

Revision 1.282.2.6  2008-01-23 21:08:29  glen
- merge 2.6.STABLE18 from HEAD, fixes CVE-2007-6239

Revision 1.282.2.5  2008-01-23 20:50:52  glen
- cleanup backups after patching

Revision 1.282.2.4  2007-12-21 09:19:07  blues
- rel.2 - disable epoll for AC, it causes that squid is not usable with
  kernel 2.4

Revision 1.282.2.3  2007-12-06 18:02:27  zbyniu
- up to 2.6.STABLE17; STBR (security)

Revision 1.282.2.2  2007-11-23 12:57:18  glen
- rel 2 (error checks in restart)

Revision 1.282.2.1  2007/11/06 18:49:36  glen
- rel 1

Revision 1.282  2007/10/30 21:56:00  dzimi
- REL++
- add SQUID_FD_LIMIT variable in /etc/sysconfig/squid for set how many file
  descriptions squid have available, default is 8192

Revision 1.281  2007/09/19 16:43:04  glen
- fixes -m32 error that gcc doesn't recognize

Revision 1.280  2007/09/19 16:08:09  glen
- some more details about ppc

Revision 1.279  2007/09/19 12:49:39  dzeus
- up to 2.6.STABLE16
- armenian error messages

Revision 1.278  2007/09/18 08:51:25  glen
- ac-ppc error

Revision 1.277  2007/09/11 12:30:06  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.276  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.275  2007/08/20 18:44:37  glen
- update to 2.6.STABLE14 (by Arkadiusz Machoł)

Revision 1.274  2007/06/16 09:06:31  dzeus
- up to 2.6.STABLE13

Revision 1.273  2007/04/02 17:03:08  baggins
- rel 0.3

Revision 1.272  2007/04/02 16:55:18  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.271  2007/03/26 13:43:46  glen
- en

Revision 1.270  2007/03/25 21:46:09  dzeus
- updated hit_miss_mark.patch (ZPH TOS) from http://www.it-academy.bg/zph/

Revision 1.269  2007/03/25 20:59:03  rotom
- up to 2.6.STABLE12

Revision 1.268  2007/03/05 21:56:52  dzeus
- hit_miss_mark.patch needs update

Revision 1.267  2007/03/05 21:42:44  dzeus
- md5

Revision 1.266  2007/03/05 21:40:38  dzeus
- up to 2.6.STABLE10

Revision 1.265  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.264  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.263  2007/02/01 12:43:08  ankry
- --with-large-files by Stacho Pal

Revision 1.262  2007/01/25 18:23:08  dzeus
- up to 2.6.STABLE9

Revision 1.261  2006/12/21 21:53:22  dzeus
- up to 2.6STABLE6

Revision 1.260  2006/12/03 22:23:03  blues
- updated libnsl_fixes patch; nolibs patch droped

Revision 1.259  2006/12/03 20:47:11  blues
- if patch is in CVS and is changed there - remove URL (sometimes it's nice
  to keep original URL as comment)

Revision 1.258  2006/11/28 17:25:58  dzeus
- removed ac_fix.patch & no-u_short.patch (included in source)
- updated domainmatch.patch
- fd-config.patch still broken

Revision 1.257  2006/11/24 22:09:07  dzeus
- updated fd-config.patch

Revision 1.256  2006/11/14 18:28:28  dzeus
- missing BR: db-devel

Revision 1.255  2006/11/13 20:27:57  dzeus
- updated squid_hit_miss_mark.patch (i hope :), not tested

Revision 1.254  2006/11/12 13:00:43  dzeus
- updated modules list, build but not tested

Revision 1.253  2006/11/12 12:05:50  dzeus
- propper configure options

Revision 1.252  2006/11/08 15:25:37  blues
- first attempt to update to squid 2.6 - it's marked as stable. More work
  needed

Revision 1.251  2006/10/31 15:13:17  qboosh
- todo: switch to /usr/lib/cgi-bin

Revision 1.250  2006/10/11 20:39:03  glen
- add todo

Revision 1.249  2006/10/11 18:27:12  blues
- rel.4 - added official hierarchy_tag patch

Revision 1.248  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.247  2006/06/19 10:41:41  hawk
- added fix for assertion failed: HttpReply.c:105: "rep"
- release 2

Revision 1.246  2006/05/23 19:52:41  hawk
- updated to 2.5.STABLE14

Revision 1.245  2006/04/15 13:40:40  glen
- rel 3

Revision 1.244  2006/03/16 21:50:10  hawk
- updated to 2.5.STABLE13
- release 2 (1 will be for Ra)

Revision 1.243  2006/03/13 22:31:49  glen
- cosmetics

Revision 1.242  2006/03/05 01:17:20  baggins
- release 9

Revision 1.241  2006/03/05 01:12:42  baggins
- fix file descriptors problems for good, make it an option in squid.conf
  (patch from Fedora)

Revision 1.240  2006/03/03 22:35:23  baggins
- release 8
- set maxfd to maximum value that works

Revision 1.239  2006/03/03 21:25:17  baggins
- set maximum number of used file descriptors to:
  - 8192 via sysconfig instead of hardcoded init script
  - something insane at compile time to allow going above 8192 at runtime

Revision 1.238  2006/01/29 19:58:18  glen
- use %service; rel 7, STBR

Revision 1.237  2006/01/17 15:44:40  baggins
- release 6
- BR openldap 2.3

Revision 1.236  2006/01/17 11:37:00  hawk
- killed macros in links to patches

Revision 1.235  2006/01/17 11:11:40  hawk
- one more patch from squids site

Revision 1.234  2006/01/11 13:20:19  glen
- no reason for sysconfig file to be readable by squid, it's used by initscript only (which is started by root)

Revision 1.233  2005/12/30 11:24:35  adamg
- few more official patches, release 5

Revision 1.232  2005/12/13 15:24:28  glen
- R: httpd -> R: webserver, rel 4

Revision 1.231  2005/11/10 11:24:58  glen
- rel 3

Revision 1.230  2005/10/31 16:37:30  qboosh
- pl for -scripts

Revision 1.229  2005/10/31 15:59:39  glen
- move scripts and contrib to -scripts subpackage to lift perl dep on main package

Revision 1.228  2005/10/31 15:52:07  glen
- enable auth in acceleration mode

Revision 1.227  2005/10/31 15:12:20  glen
- adapterized (PreReq killed)

Revision 1.226  2005/10/31 15:07:22  glen
- fix perl paths in %prep rather in %build

Revision 1.225  2005/10/28 06:18:26  hawk
- updated to 2.5.STABLE12

Revision 1.224  2005/10/17 06:35:54  hawk
- added six patches from squids site
- release 3

Revision 1.223  2005/10/11 16:28:21  glen
- reverted

Revision 1.222  2005/10/11 12:47:13  glen
- remove R(pre) user_group.sh (provided by rpm or it's variants (vserver-rpm))

Revision 1.221  2005/09/26 12:04:50  hawk
- updated to 2.5.STABLE11
- release 2 (1 is for Ra)

Revision 1.220  2005/09/08 01:44:18  glen
- add todo

Revision 1.219  2005/09/05 09:05:53  hawk
- fixed typo in changelog

Revision 1.218  2005/09/05 09:04:00  hawk
- added 28 patches for version 2.5.STABLE10 from squids site
- removed TODO, security issue is fixed by sslConnectTimeout.patch
- include greek error messages in package
- include config and manpage for cachemgr.cgi in package
- release 4

Revision 1.217  2005/09/05 08:17:33  blues
- TODO added

Revision 1.216  2005/08/15 16:52:29  glen
- fix hostname being unable to give hostname preventing squid install and cache directory initialized; rel 3, STBR

Revision 1.215  2005/05/25 12:32:41  hawk
- works for me, release 2 (1 for Ra)

Revision 1.214  2005/05/25 12:24:13  hawk
- updated to 2.5.STABLE10

Revision 1.213  2005/05/02 13:02:19  glen
- init squid cache on first install
- remove squid cache on uninstall
- add %ghost files on squid state files
- fix re-entrant install

Revision 1.212  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.211  2005/03/14 13:38:52  paszczus
- unifications
- release 3
- STBR

Revision 1.210  2005/03/14 13:10:04  hawk
- addded 10 patches from squids site: acl_error.patch, bzero.patch,
  config_overflow.patch, ctype.patch, date.patch, defer_digest_fetch.patch,
  dup_content_length.patch, excess_data.patch, pid_t.patch,
  reload_into_ims.patch

Revision 1.209  2005/03/04 22:18:41  qboosh
- added align patch, release 2.1 for tests

Revision 1.208  2005/03/04 22:16:37  radzio
- update to 2.5.STABLE9 with patches from vendor's web site
- patch0 is a security fix (CAN-2005-0626)

Revision 1.207  2005/02/11 17:11:09  hawk
- updated to 2.5.STABLE8
- release 2 (1 for RA)

Revision 1.206  2005/02/11 13:35:54  qboosh
- more patches:
  fakeauth_auth (CAN-2005-0096 CAN-2005-0097)
  post, ntlm_segfault (SEGV fixes)
  dns_memleak (minor memory leak fix)

Revision 1.205  2005/02/10 14:52:26  radzio
- patch13 to address CAN-2005-0241
- todo: there are other patches on vendor site (not related to security bugs)

Revision 1.204  2005/02/08 06:50:25  krolik
- security patch added, rel. 12

Revision 1.203  2005/01/25 09:26:29  hawk
- added security patches from squids site:
  - http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE7-empty_acls
  - http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE7-gopher_html_parsing
  - http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE7-wccp_denial_of_service
  - http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE7-ldap_spaces
  - http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE7-response_splitting
- release 11

Revision 1.202  2005/01/25 08:39:38  radzio
- patch7 to address security issue
- SECURITY ref:
    - http://www.k-otik.com/english/advisories/2005/0056
    - http://www.squid-cache.org/Versions/v2/2.5/bugs#squid-2.5.STABLE7-header_parsing

Revision 1.201  2005/01/06 15:17:50  qboosh
- unified

Revision 1.200  2005/01/05 07:50:19  djrzulf
- updated polish summary,

Revision 1.199  2004/12/29 09:25:57  qboosh
- findutils are Red by rpm-build; dropped source*-size

Revision 1.198  2004/12/28 08:35:06  krolik
- squid official security patch, rel. 9
- STBR

Revision 1.197  2004/12/14 15:23:21  qboosh
- sorted verify() flags

Revision 1.196  2004/12/14 15:21:46  qboosh
- typo

Revision 1.195  2004/12/13 19:59:12  hawk
- fix for cachemgr vm_objects segfault, keep correct patch numbering

Revision 1.194  2004/12/13 18:06:25  krolik
- added security patch for latest vulnerability in squid, rel. 7
- STBR

Revision 1.193  2004/11/27 17:23:25  zbyniu
- BR: unzip

Revision 1.192  2004/11/17 21:53:50  hawk
- two fixes from Squids site: 100% CPU usage on new/experimental kernels
  and TCP connection closing on blank HTTP response

Revision 1.191  2004/10/30 08:43:03  ankry
- spaces -> tab

Revision 1.190  2004/10/29 13:44:26  jajcus
- Requires(pre):  /usr/lib/rpm/user_group.sh
- cut&paste bug fixed (s/inn/squid/)

Revision 1.189  2004/10/29 12:27:34  jajcus
- grant stats user (statistics generators) access to squid logs

Revision 1.188  2004/10/29 11:55:51  paladine
- unifications

Revision 1.187  2004/10/27 18:21:48  qboosh
- renumbered patches

Revision 1.186  2004/10/27 13:48:56  qboosh
- spacing

Revision 1.185  2004/10/26 13:15:35  hawk
- added two patches from squids site, squid-2.5.STABLE7-half_closed_POST
  and squid-2.5.STABLE7_req_resp_header, see URL below for more details
  http://www.squid-cache.org/Versions/v2/2.5/bugs/

Revision 1.184  2004/10/23 15:00:03  qboosh
- libnsl_fixes patch is back (updated)
- added nolibs patch to avoid unwanted bind-libs dependency
- release 3

Revision 1.183  2004/10/12 14:46:54  paszczus
- added Source{0,1,4}-size

Revision 1.182  2004/10/12 09:46:20  hawk
- updated to 2.5.STABLE7, removed official STABLE6 patches, they are now
  in sources
- release 2 (1 for RA)

Revision 1.181  2004/10/10 17:12:39  saq
- removing the security note, it's been fixed in STABLE6 (according to
  http://www.squid-cache.org/bugs/show_bug.cgi?id=972 )

Revision 1.180  2004/10/05 00:18:58  havner
- rel up to rebuild with new bind-libs
- hawk, why haven't you made a note about soname change?!

Revision 1.179  2004/09/29 16:32:35  kolodko
- added macros in /etc/logrotate.d

Revision 1.178  2004/09/15 21:08:39  ankry
- %userremove/%groupremove support
- some standardization

Revision 1.177  2004/09/14 09:27:04  blues
- SECURITY note

Revision 1.176  2004/09/05 21:29:59  andree
- added -ufs_no_valid_dir.patch, -ufs_create_error.patch
  bugfixes - error when creating cache files
- rel. 7

Revision 1.175  2004/09/04 08:49:47  gotar
- typos

Revision 1.174  2004/08/31 06:38:22  hawk
- added patch for segfault in CvtBin / authenticateDigestHandleReply
- rel 6, STBR

Revision 1.173  2004/08/25 18:52:30  twittner
- changed default pidfile location to /var/run/squid.pid: updated
  squid.conf.patch and -fhs.patch (thnx to qboosh for hint).
- rel 5. STBR Ac

Revision 1.172  2004/08/24 14:17:42  qboosh
- include some usable docs and FAQ instead of outdated ones

Revision 1.171  2004/08/24 10:21:24  hawk
- fixed typo in init script
- changed pid location to /var/run/squid.pid
- added patches for segfaults when using heap policies and for possible
  denial of service in NTLM authentication
- release 4, STBR

Revision 1.170  2004/08/23 14:35:56  ankry
- remove shadow-specific unnecessary options

Revision 1.169  2004/08/05 12:35:19  hawk
- wait for squid to fully stop instead of sleeping 30 secs
- release 3

Revision 1.168  2004/07/20 12:35:14  hawk
- added 3 patches from www.squid-cache.org, memory leak fixes
- release 2

Revision 1.167  2004/07/09 23:47:29  hawk
- updated to 2.5.STABLE6, patches 0-19, 200 and 231 are already in sources

Revision 1.166  2004/06/15 18:25:16  blues
- release 5

Revision 1.165  2004/06/14 08:01:17  hawk
- added squid-2.5.STABLE5-proxy_abuse.patch, release 4

Revision 1.164  2004/06/10 17:00:04  pluto
- security fix (CAN-2004-0541), release 3.

  http://www.idefense.com/application/poi/display?id=107&type=vulnerabilities

Revision 1.163  2004/06/01 15:38:41  twittner
- fixed BR: s/perl/perl-base/ , added BR: findutils

Revision 1.162  2004/05/21 17:29:42  arekm
- add squid-2.5.STABLE5-range_offset_limit.patch patch; rel 2

Revision 1.161  2004/05/14 10:27:52  qboosh
- new-style bcond, pl fixes

Revision 1.160  2004/04/25 17:33:23  arekm
- 2.5STABLE5

Revision 1.159  2004/04/13 14:32:09  adamg
- release 8 to rebuild with new openldap

Revision 1.158  2004/03/19 23:46:37  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.157  2004/03/16 14:28:41  averne
- rel 7 for rebuild with new openldap

Revision 1.156  2004/01/24 19:18:20  siefca
- combined log patch adopted for 2.5.STABLE4 version
- combined log patch fixed for '?' characters in URL (by pawel.misiewicz at akonet . pl)
- combined log patch naming convention invented (name-version-patchname.patch)

Revision 1.155  2004/01/09 21:27:33  arekm
- new patches

Revision 1.154  2003/12/22 22:54:36  arekm
- three new patches (one is workaround for MSIE6 bugs in login code)

Revision 1.153  2003/12/19 14:26:20  arekm
- new patches from squid website; rel 3

Revision 1.152  2003/12/07 12:19:46  arekm
- 14 new fixes; rel2

Revision 1.151  2003/11/11 02:15:08  qboosh
- BR: automake

Revision 1.150  2003/10/28 13:45:35  undefine
- add mib.txt to documentation (usefull when using snmp)

Revision 1.149  2003/10/26 13:45:18  arekm
- updated to 2.5STABLE4

Revision 1.148  2003/10/03 23:43:34  twittner
- added missing fakeauth_auth - not tested
- added missing pam_auth.8 in pam_auth subpackage
- very strict requires in subpackages - not tested
- removed unwanted files (install section)to prevent
  complaining rpm about unpackaged files
- added missing URL

Revision 1.147  2003/09/30 20:36:08  eothane
- hmpfh.. openssl 0.9.7c

Revision 1.146  2003/09/30 20:18:34  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.145  2003/09/26 14:25:27  baggins
- release 11.1

Revision 1.144  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.143  2003/09/14 19:28:15  blues
- added missing squid manual and removed Makefile from package

Revision 1.142  2003/09/13 20:17:00  blues
- enabled underscores in domain names (RFC non-complinant but usefull)

Revision 1.141  2003/09/11 09:09:42  siefca
- removed defines and configure.in from apache-like-combined-log patch
- conditional build will now hard code patch in the sources

Revision 1.140  2003/09/08 15:10:03  siefca
- cosmetics

Revision 1.139  2003/09/08 13:50:15  siefca
- applied Dan Reif's Apache-like combined log format patch
- added conditional build for it

Revision 1.138  2003/09/08 13:06:34  siefca
- added patch which allows to unify referer and access log files

Revision 1.137  2003/09/08 10:51:41  siefca
- added --enable-referer-log to configure

Revision 1.136  2003/09/02 09:12:20  blues
- use macro for cgi location

Revision 1.135  2003/09/02 08:34:38  blues
- release 5 - more_FD patch is back

Revision 1.134  2003/08/31 11:26:52  ankry
- %lang fixes

Revision 1.133  2003/08/24 18:41:18  mwinkler
- relase 4

Revision 1.132  2003/08/24 18:17:53  mwinkler
- added latest patches

Revision 1.131  2003/08/24 11:07:39  blues
- release 3 - fixed init script

Revision 1.130  2003/08/18 08:09:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.129  2003/07/31 22:21:43  qboosh
- more Requires(post)

Revision 1.128  2003/07/25 15:22:18  undefine
- add post script to add visible_hostname.

Revision 1.127  2003/07/25 15:00:20  blues
- cosmetics

Revision 1.126  2003/07/20 13:08:44  mwinkler
- added latest patches

Revision 1.125  2003/06/30 15:27:39  arekm
- new patches from squid project (rel 2)

Revision 1.124  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.123  2003/06/07 18:35:26  mwinkler
- added squid_hit_miss_mark.patch

Revision 1.122  2003/06/04 23:00:45  mwinkler
- updated to 2.5.STABLE3
- relase 1

Revision 1.121  2003/05/28 13:02:02  malekith
- massive attack: source-md5

Revision 1.120  2003/05/25 06:26:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.119  2003/05/22 18:05:00  mwinkler
- minor and major patches
- TODO in progress: conditional build: without(ldap|samba)

Revision 1.118  2003/05/17 22:21:42  kloczek
- bump Epoch to 7 (for allow upgrade from RH).

Revision 1.117  2003/04/13 10:04:21  misiek
- really fix pre script

Revision 1.116  2003/04/12 10:28:09  misiek
- fix pre script

Revision 1.115  2003/04/12 10:24:32  misiek
- updated to 2.5.STABLE2

Revision 1.114  2003/03/17 09:04:26  qboosh
- s/ct/ca/ in %lang for Catalan

Revision 1.113  2003/03/16 21:14:58  misiek
- added msntauth.conf

Revision 1.112  2003/03/16 21:13:46  misiek
- more languages (good lang codes?)

Revision 1.111  2003/03/16 20:57:22  misiek
- it builds now

Revision 1.110  2003/02/28 16:58:26  baggins
- removed errors directory mv and ln sickness (USE CONFIG FILE!!!)

Revision 1.109  2003/02/28 16:21:19  baggins
- more perl paths fixes

Revision 1.108  2003/02/28 16:02:04  baggins
- fix perl paths

Revision 1.107  2003/02/28 15:23:20  baggins
- fixed %doc

Revision 1.106  2003/02/28 15:03:16  baggins
- typos

Revision 1.105  2003/02/28 14:37:18  baggins
- added and fixed auth and acl subpackages

Revision 1.104  2003/02/28 12:25:27  baggins
- release 2
- added crash-on-ENOSPC.patch (don't crash if there is no space for logs)

Revision 1.103  2003/02/13 14:05:25  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.102  2003/01/03 17:49:33  misiek
- more work

Revision 1.101  2003/01/03 13:41:30  misiek
- started update, NFY

Revision 1.100  2002/12/06 21:39:09  orzech
- /home/httpd -> /home/services/httpd

Revision 1.99  2002/12/02 11:06:27  ankry
- massive cleaning

Revision 1.98  2002/09/11 11:48:51  qboosh
- fixed %pre (changed to apache-like), added %postun
- added Requires(post)
- release 6

Revision 1.97  2002/08/26 09:44:14  qboosh
- fixed broken %post; release 5

Revision 1.96  2002/08/23 09:28:44  qboosh
- changed /usr/lib/squid{,/*} perms to 755, so squid can access it; release 4

Revision 1.95  2002/08/19 13:40:09  blues
- license fix

Revision 1.94  2002/08/16 23:52:19  qboosh
- added missing dir, release 3

Revision 1.93  2002/07/17 18:29:58  blues
- 2 new autentication subpackages
- some cleanups

Revision 1.92  2002/07/17 17:51:45  blues
- release 2
- added patch from main squid site
- finished new doc; more docs
  STBR

Revision 1.91  2002/07/04 23:14:26  blues
- ac_fix - allow compile with autoconf >2.5
  STBRKJM! buggy

Revision 1.90  2002/07/02 19:42:46  kloczek
- merge translations from TurboLinux.

Revision 1.89  2002/07/02 19:40:09  kloczek
- use new %doc,
- added default configuration files for PAM authentication squid module.

Revision 1.88  2002/07/02 19:23:09  lukasz
- updated to 2.4.STABLE7

Revision 1.87  2002/06/22 23:11:13  kloczek
- merge translations from Conectiva.

Revision 1.86  2002/05/21 23:14:46  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.85  2002/04/02 20:05:16  kloczek
- release 2.

Revision 1.84  2002/03/31 15:04:53  alchemyx
- patch allowing use of 4096 file descriptors instead of 1024; patch from
  Blues; works fine - tested on heavily loaded proxy

Revision 1.83  2002/03/22 21:17:56  kloczek
- merge translations from KSI.

Revision 1.82  2002/03/22 09:00:12  mkierus
- update to Squid-2.4.STABLE6 (bug fix)

Revision 1.81  2002/02/22 23:29:45  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.80  2002/02/21 16:39:39  mkochano
- Release 1.
- Updated to 2.4.STABLE4. This is a SECURITY FIX.
- STBR ASAP

Revision 1.79  2002/02/19 18:53:35  gotar
- %desc

Revision 1.78  2002/01/18 02:15:03  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.77  2002/01/03 04:44:33  kloczek
- updated to 2.4.STABLE3 (bug fix release),
- removed obsoleted patches.

Revision 1.76  2001/12/12 16:19:30  blues
- added config(noreplace) to logrotate-file

Revision 1.75  2001/12/03 19:53:11  blues
- release 6
- added many bugfixes from squid page.

Revision 1.74  2001/11/04 12:53:57  grzegorz
- reverting last changes

Revision 1.73  2001/11/03 12:12:24  grzegorz
- changing %attr(4750,root,squid) for %{_bindir}/pinger,
  for what was r for others?

Revision 1.72  2001/10/12 19:05:20  kloczek
- added {openldap,pam}-devel to BuildRequires,
- added libnsl_fixes patch for only YP auth module with libnsl.

Revision 1.71  2001/10/12 14:53:48  mis
- added auth modules (PAM, LDAP and SMB); release 5

Revision 1.70  2001/09/25 13:27:02  qboosh
- release 4: Prereq: /sbin/chkconfig

Revision 1.69  2001/09/21 23:00:17  raven
- added patch which fix mkdir-only PUT requests DoS

Revision 1.68  2001/09/21 02:46:33  kloczek
- removed Prereq: /sbin/chkconfig,
- added autoconf to BuildRequires.

Revision 1.67  2001/09/20 15:30:42  grzegorz
- adding init usage to squid.init 'squid -z'
- release 2

Revision 1.66  2001/08/28 03:22:44  kloczek
- spec adapterized.

Revision 1.65  2001/08/28 00:30:01  mkochano
- Release 1.
- Updated to 2.4STABLE2.
- All bugfixes removed --- merged with sources.
- Disabled ipf-transparent. THIS IS FOR BSD SYSTEMS NOT FOR LINUX.
- Fixed typo.

Revision 1.64  2001/08/04 15:14:28  migo
- typo: sybsys->subsys

Revision 1.63  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.61  2001/04/22 22:58:54  mkochano
- Release 4.
- Six new patches from squid web site.
- Patches from squid web site are applied before PLD paches, beacause they
  will be merged with source on new release, so they should be considered part
  of the source.

Revision 1.60  2001/04/09 08:26:52  mkochano
- Release 3.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.59  2001/04/08 02:56:22  blues
- changed group /etc/sysconfig/squid - it's squid now . Without that
  squid was crushing while rotating.

Revision 1.58  2001/04/04 00:27:41  kloczek
- release 2,
- changed permission on pinger to 4754/root.squid - now this programa is
  avalaible only for squid.

Revision 1.57  2001/03/31 21:01:49  blues
- changed pinger group

Revision 1.56  2001/03/31 20:11:31  blues
- enabled internal dns
- typo in group making
- added commented options in configure for kernel 2.4

Revision 1.55  2001/03/31 08:19:29  blues
- typo in squid
- added %post in lilo - I'm sick of running every time lilo manually...

Revision 1.54  2001/03/22 22:44:39  mkochano
- Updated to 2.4.STABLE1.
- Release 1.
- Removed squid-2.0-make.patch patch. It has been merged with sources.
- squid-fhs.patch has been updated for current version of squid.
- Removed squid-mktemp.patch. Now ./configure detects best supported method to
  create tmp files.
- Removed bugfixing patches. They were merged with sources.
- --enable-heap-replacement ./configure option has been replaced with
  --enable-removal-policies="lru heap" as it should be done now.
- Added --enable-storeio="aufs coss diskd null ufs" ./configure option.
- Added following ./configure options: --enable-delay-pools, --with-pthreads
  (needed to link correctly), --enable-cache-digests.
- $RPM_BUILD_ROOT/var/log/squid is created durning build so empty log files in
  this directory can be created.
- Installation of pinger is done.
- There is no PLD specific config file provided. Instead, there is patch for
  config file comming with squid. I hope it will make easier updating config
  file when new options are introduced.
- squid.conf belongs to squid group, so it can be readed by squid durning
  reconfiguration (reload).
- /etc/rc.d/init.d/squid has been modified to provide real reload option
  (not stop/start sequence).
- Changed default cache direcotry type from ufs to diskd. They are compatible,
  so no rebuild is needed but diskd driver (with separate process performing
  i/o) is several times faster.

Revision 1.53  2001/03/02 18:13:01  kloczek
- release 10: merge domainmatch, location, mktemp patches from rawhide.

Revision 1.52  2001/03/02 17:06:32  mkochano
- Release 8.
- Another bugfix from Squid web site.
- Original config file is now patched instaed being replaced with one from
  PLD. If some new options are added to config file, they will not be lost,
  and there still is a chance, that patch will apply.

Revision 1.51  2001/02/01 16:27:35  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.50  2000/12/12 18:54:37  kloczek
- release 7.

Revision 1.49  2000/12/11 20:52:29  misiek
- /bin/false shell. Thanks to Marek Kolczyk.

Revision 1.48  2000/12/04 06:49:17  kloczek
- added Epoch: 6 (for allow upgrade from RH version).

Revision 1.47  2000/12/02 19:23:13  mkochano
- Release 6.
- Three more bugfixes from squid's web site.

Revision 1.46  2000/09/23 13:19:39  kloczek
- adapterized.

Revision 1.45  2000/09/22 22:05:07  newrom
- Release 5
- enabled transparent proxy support
- enabled delay-pools

Revision 1.44  2000/08/16 17:45:48  mkochano
- Two more bugfixes from squid's web site.
- Release 4.

Revision 1.43  2000/08/11 21:53:58  kloczek
- adapterized.

Revision 1.42  2000/08/11 20:45:09  marcus

- added LFUDA and external dnsserver support

Revision 1.41  2000/08/07 10:04:26  mkochano
- One more bugfix from squid's web site.
- Release 2.

Revision 1.40  2000/07/21 18:11:45  mkochano
- Updated to 2.3.STABLE4.
- Added patch from squid web site.

Revision 1.39  2000/07/12 18:32:23  mkochano
- One more bufgix from squid's homepage.
- Release 3.

Revision 1.38  2000/06/12 09:13:46  kloczek
- release 2.

Revision 1.37  2000/06/10 13:19:13  jajcus
- little fix

Revision 1.36  2000/06/10 13:12:48  jajcus
- changed uid and gid to squid
- all files owned by root (safer)

Revision 1.35  2000/06/09 07:23:59  kloczek
- added using %{__make} macro.

Revision 1.34  2000/05/19 19:46:48  kloczek
- Group changed from Daemons to Networking/Daemons,
- spec adapterized,
- removed COPYING from %doc (clear copyright statment is in License field).

Revision 1.33  2000/05/19 17:37:39  mkochano
- Updated to 2.3STABLE3.

Revision 1.32  2000/05/07 00:35:30  mkochano
- Release++

Revision 1.31  2000/05/07 00:32:28  mkochano
- One more bug fix from squid's web site (Bogus Age header on IMS_HIT
  replies).

Revision 1.30  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.29  2000/04/23 11:35:09  mkochano
- Updated squid.init (uses 'daemon' and honors $SERVICE_RUN_NICE_LEVEL).
- One more patch from squid's web site.
- Release++

Revision 1.28  2000/04/08 12:09:43  mkochano
- One more bugfix from Squid's web site.
- Release++.

Revision 1.27  2000/04/05 23:31:00  wiget
- fix %post script

Revision 1.26  2000/04/05 09:21:18  kloczek
- "Requires: rc-scripts >= 0.2.0".

Revision 1.25  2000/04/04 19:50:23  mkochano
- Two more bugfixes from Squids home page.
- Release++.

Revision 1.24  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.22  2000/03/25 18:26:38  kloczek
- added "Requires: httpd" for cachemgr.

Revision 1.21  2000/03/25 16:02:54  kloczek
- s/Require/Requires/.

Revision 1.20  2000/03/25 14:31:03  kloczek
- spec adapterized,
- added "Require: %{name} = %{version}" for cachemgr subpackage,
- cosmetics.

Revision 1.19  2000/03/24 18:18:06  mkochano
- Group of /etc/squid/mime.conf changed to 'nobody'. Squid works as
  'nobody.nobody', but must be able to read this file.

Revision 1.18  2000/03/23 22:28:55  mkochano
- Updated to 2.3.STABLE2.
- Updated source URI.
- Calamaris moved to separate package.
- Removed fix.pl - it's no longer needed.
- Error messages marked with '%lang'. English messages are installed allways
  (as fallback).
- %post script creates symlink '/usr/share/squid/errors' to one of the
  follownig directories (in this order):
  * Polish.
  * Any found, but neither Polish nor English.
  * English.
  This isn't ideal solution, but I think person using squid is clever enough
  to change symlink to match his needs ;) .
- There is no manual page for squid.
- Perl scripts in contrib directory aren't compressed.
- 'squid.conf' updated for 2.3.STABLE2 with following changes:
  * Effective group "nobody".
  * Enabled logging to /var/log/squid/{access,cache,store}.log
  * Disabled internal log-rotating.
- Some perl scripts moved from %doc to %{_libexecdir}/contrib. In source
  tarball they are in 'contrib' direcotry.
- Uses logrotate instaed of built-in rotation mechanism - built-in version
  can't compress and place old logs in different directory.
- Added patches for known bugs (from Squid home page).
- Squid effective id is "nobody.nobody".
- Cachemgr.cgi moved to separated package (caching proxy doesn't have to be a
  http server).
- Cache directories are no longer initialized from /etc/rc.d/init.d/squid
  script.
  * This isn't good idea to configure same thing (where cache dirs. are
    placed) in two files (sysconfig/squid and squid.conf).
  * This is done once.

Revision 1.17  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.16  1999/10/15 07:00:55  waszi
- crontab.c -> cron.d

Revision 1.15  1999/09/11 14:08:21  misiek
- fixed requires (PR#58)

Revision 1.14  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).
